Skip to main content
POST
Send a notification to end users

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Body

application/json

A message to send to end users through the end-user Teams app.

end_company_ids
string[] | null
required
idempotency_key
string
required
message
string
required
recipients
required
Allowed value: "all"
only_recent_chatters
boolean
default:false

Response

Success.

data
PublicEndUserNotification · object
required

One message sent to many end users, with how many received it.

meta
object
required